Bug 164800 - Samba how-to contains text that shouldn't be pasted into terminal, special character single quote
Samba how-to contains text that shouldn't be pasted into terminal, special ch...
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: wiki (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
http://directory.fedora.redhat.com/wi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 11:45 EDT by Darren Fulton
Modified: 2015-12-07 11:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:50:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Fulton 2005-08-01 11:45:12 EDT
Description of problem:  go to the Fedora DS Howto:Samba page and scroll down
and look at the code block that includes:

net groupmap add rid=512 ntgroup=’Domain Admins’  unixgroup=’Domain Admins’

Notice that the single quotes are this "’" symbol and not "'" character.  The
curvey single quote is not valid for shell input.  That whole block of text (and
maybe others) contains that.  People are going to be pasting this text into
their terminals and generating errors and breaking things.

Version-Release number of selected component (if applicable):
The version that is online as of Aug 1 2005.

How reproducible:
On every visit to the web page in Linux w/Firefox and Windows w/IE.

Steps to Reproduce:
1.  Go to the web Page
2.
3.
  
Actual results:
Invalid text in code block here: 
# net groupmap add rid=512 ntgroup=’Domain Admins’  unixgroup=’Domain Admins’
# net groupmap add rid=513 ntgroup=’Domain Users’ unixgroup=’Domain Users’
# net groupmap add rid=514 ntgroup=’Domain Guests’ unixgroup=’Domain Guests’
# net groupmap add rid=515 ntgroup=’Domain Computers’ unixgroup=’Domain Computers’


Expected results:
Everything in the code block should be stuff that you can paste into a console.
# net groupmap add rid=512 ntgroup='Domain Admins'  unixgroup='Domain Admins'
# net groupmap add rid=513 ntgroup='Domain Users' unixgroup='Domain Users'
# net groupmap add rid=514 ntgroup='Domain Guests' unixgroup='Domain Guests'
# net groupmap add rid=515 ntgroup='Domain Computers' unixgroup='Domain Computers'


Additional info:
Comment 1 Nathan Kinder 2005-08-01 14:44:34 EDT
I updated the HowTo for Samba on the wiki.  The quotes are now single quotes
instead of back quotes.
Comment 2 To Ngan 2005-08-05 12:46:59 EDT
Changed component to wiki
Comment 3 Anh Nguyen 2007-11-27 11:27:20 EST
Verified

Note You need to log in before you can comment on or make changes to this bug.